Create Network – Infra API – MediaKind
Create Network
put https://app.mk.io/api/v1/projects/:project_name/infra/networks/:name
Create a network. To learn more about networks, read Network Concept.
RBAC Capability Required: infra.network.create
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your
auth token.
Path parameters
project_namestring Requirednamestring Required
Request
This endpoint expects an object.
metadataobject DefaultMetadata RequireddisplayNamestring Required- A human-readable name for the resource.
labelsmap from strings to string Optional- A dictionary of labels associated with the resource.
- Maximum number of labels: 32.
- Maximum length of a label or value: 256 characters.
- Label: alphanumeric, hyphens and underscores.
- Value: alphanumeric, hyphens, underscores, and spaces.
specobject NetworkBodySpec Required- Network specification.
Response
201 The created network
kindstring Required- The kind of record.
metadataobject MetadataSchema Required- Network metadata.
createdstring Optional format: date-time- The time when the resource was created
createdBystring Optional format: uuid- ID of the user who created the resource
createdByEmailstring Optional- Email of the user who created the resource
displayNamestring Optional- The display name of the resource
idstring Required format: uuid- The ID of the resource
labelsmap from strings to string Optional- A dictionary of labels associated with the resource
namestring Optional- The name of the resource
updatedstring Optional format: date-time- The time when the resource was last updated
updatedBystring Optional format: uuid- ID of the user who last updated the resource
updatedByEmailstring Optional- Email of the user who last updated the resource
specobject NetworkBodySpec Required- Network specification.
- Network metadata.
statusobject NetworkBodyStatus Required- Network status.
ownerenum Required- Indicates whether the network was automatically created by the system. System owned networks cannot be deleted, but they can be modified. To learn more, read System owned networks.
- Allowed values: User, System
scopeenum Required- Indicates whether the network is a local network within a site. Local networks are always system owned and therefore cannot be deleted; however, they can be modified.
- Allowed values: Connecting, Local
- Network status.
Errors
400Bad Requesterrorobject ErrorDetail Required- Pertinent information about the error
codestring Requireddetailstring RequiredextraDetailmap from strings to any Optional- Extra information regarding this error.
refstring Required- A reference to the request that caused the error.
statusinteger Required- The HTTP status code
401Unauthorizederrorobject ErrorDetail Required- Pertinent information about the error
codestring Requireddetailstring RequiredextraDetailmap from strings to any Optional- Extra information regarding this error.
refstring Required- A reference to the request that caused the error.
statusinteger Required- The HTTP status code
403Forbiddenerrorobject ErrorDetail Required- Pertinent information about the error
codestring Requireddetailstring RequiredextraDetailmap from strings to any Optional- Extra information regarding this error.
refstring Required- A reference to the request that caused the error.
statusinteger Required- The HTTP status code
404Not Founderrorobject ErrorDetail Required- Pertinent information about the error
codestring Requireddetailstring RequiredextraDetailmap from strings to any Optional- Extra information regarding this error.
refstring Required- A reference to the request that caused the error.
statusinteger Required- The HTTP status code
409Conflicterrorobject ErrorDetail Required- Pertinent information about the error
codestring Requireddetailstring RequiredextraDetailmap from strings to any Optional- Extra information regarding this error.
refstring Required- A reference to the request that caused the error.
statusinteger Required- The HTTP status code
429Too Many Requestserrorobject ErrorDetail Required- Pertinent information about the error
codestring Requireddetailstring RequiredextraDetailmap from strings to any Optional- Extra information regarding this error.
refstring Required- A reference to the request that caused the error.
statusinteger Required- The HTTP status code
500Internal Server Errorerrorobject ErrorDetail Required- Pertinent information about the error
codestring Requireddetailstring RequiredextraDetailmap from strings to any Optional- Extra information regarding this error.
refstring Required- A reference to the request that caused the error.
statusinteger Required- The HTTP status code